Get GRC entity by ID
curl --request GET \
--url https://api.leen.dev/v1/grc/entities/{entity_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/grc/entities/{entity_id}"
headers = {
"X-CONNECTION-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-CONNECTION-ID': '<api-key>', 'X-API-KEY': '<api-key>'}
};
fetch('https://api.leen.dev/v1/grc/entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"vendor_attributes": {
"id": "<string>",
"vendor": "<string>",
"data": {}
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Entities
Get GRC entity by ID
Get a GRC entity by its ID
GET
/
grc
/
entities
/
{entity_id}
Get GRC entity by ID
Path Parameters
Response
Successful Response
Response model for returning GRC entity details via an API endpoint.
Leen's UUID for the GRC entity
Entity name
Type or classification of the GRC entity
Vendor-specific attributes and identifiers
Show child attributes
Show child attributes
Detailed description of the entity
Timestamp when the entity was created
Timestamp when the entity was last updated
⌘I